Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.publish.maven.deploy
Class CustomDeployTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.maven.artifact.ant.AbstractArtifactTask
                  org.apache.maven.artifact.ant.InstallDeployTaskSupport
                      org.apache.maven.artifact.ant.DeployTask
                          org.gradle.api.internal.artifacts.publish.maven.deploy.CustomDeployTask

All Implemented Interfaces:
  CustomInstallDeployTaskSupport

    class CustomDeployTask
    extends org.apache.maven.artifact.ant.DeployTask

We could also use reflection to get hold of the container property. But this would make it harder to use a Mock for this class.

author:
  Hans Dockter

Constructor Summary
`CustomDeployTask()`

Method Summary
`void` | `doExecute()`
`PlexusContainer` | `getContainer()`
`Settings` | `getSettings()`

Methods inherited from class org.apache.maven.artifact.ant.DeployTask
setUniqueVersion, getRemoteRepository, addRemoteSnapshotRepository, addRemoteRepository, getUniqueVersion, setFile, buildPom, createAttach, getFile, setSettingsFile, getSupportedProtocols, getSupportedProtocolsAsString, diagnoseError, addPom, getPomRefId, setPomRefId, getLocalRepository, addLocalRepository, setProfiles, execute, getOwningTarget, getTaskName, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, perform, reconfigure, bindToOwner, init, log, log, log, log, getProject, setProject, clone, getLocation, setLocation, getDescription, setDescription, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class org.apache.maven.artifact.ant.InstallDeployTaskSupport
setFile, buildPom, createAttach, getFile, setSettingsFile, getSupportedProtocols, getSupportedProtocolsAsString, diagnoseError, addPom, getPomRefId, setPomRefId, getLocalRepository, addLocalRepository, setProfiles, execute, getOwningTarget, getTaskName, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, perform, reconfigure, bindToOwner, init, log, log, log, log, getProject, setProject, clone, getLocation, setLocation, getDescription, setDescription, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class org.apache.maven.artifact.ant.AbstractArtifactTask
setSettingsFile, buildPom, getSupportedProtocols, getSupportedProtocolsAsString, diagnoseError, addPom, getPomRefId, setPomRefId, getLocalRepository, addLocalRepository, setProfiles, execute, getOwningTarget, getTaskName, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, perform, reconfigure, bindToOwner, init, log, log, log, log, getProject, setProject, clone, getLocation, setLocation, getDescription, setDescription, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class org.apache.tools.ant.Task
getOwningTarget, getTaskName, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, perform, reconfigure, bindToOwner, init, log, log, log, log, execute, getProject, setProject, clone, getLocation, setLocation, getDescription, setDescription, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class org.apache.tools.ant.ProjectComponent
getProject, setProject, clone, getLocation, log, log, setLocation, getDescription, setDescription, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### CustomDeployTask

    CustomDeployTask()

Method Detail

### doExecute

    @Override
    public void doExecute()

### getContainer

    @Override
    public PlexusContainer getContainer()

### getSettings

    @Override
    public Settings getSettings()

Groovy Documentation